GNU bug report logs - #52885
28.0.50; xwidget webkit scrolling behaviour confusing or broken with multiple windows

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: akira@HIDDEN; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 52885 <at> debbugs.gnu.org and akira@HIDDEN Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52885 <at> debbugs.gnu.org:


Received: (at 52885) by debbugs.gnu.org; 15 Jan 2022 09:55:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 04:55:51 2022
Received: from localhost ([127.0.0.1]:39073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8fmo-0002SU-Tw
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 04:55:51 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47416)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n8fmn-0002SC-3S
 for 52885 <at> debbugs.gnu.org; Sat, 15 Jan 2022 04:55:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=KKl2k0zsYvIGA8lL7bohgjudpjDJD8zn5OOIsps7dgY=; b=GuaAB8eBGBfjGhcKZMxM8ZAOpc
 YqDAJbTR9Y20+w1c1AEspG60Q23l8W+6JAm6U3mm9ovJ/aIO1WVDiNeZ74wx7ggrcK3SCxrbLuLHh
 lZLXA+eZggU567ZZQOcXwOS6Aj7vdHHsNjgjEf+iHUQJZNxmc6JkL7Z3VplMP66c5uJw=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n8fmd-0003JS-SF; Sat, 15 Jan 2022 10:55:42 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#52885: 28.0.50; xwidget webkit scrolling behaviour
 confusing or broken with multiple windows
References: <86sfubrnvs.fsf@HIDDEN>
 <831r1uk4pu.fsf@HIDDEN> <875yr6po0w.fsf@HIDDEN>
X-Now-Playing: Joni Mitchell's _Archives: The Early Years (4)_: "Cactus Tree"
Date: Sat, 15 Jan 2022 10:55:39 +0100
In-Reply-To: <875yr6po0w.fsf@HIDDEN> (Po Lu's message of "Thu, 30 Dec 2021
 15:09:19 +0800")
Message-ID: <871r19xqzo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Po Lu <luangruo@HIDDEN> writes: > I made those commands
 adjust the window hscroll if the widget is wider > than the window, which
 should solve this problem. However, the correct > thing to do when the window
 is too small is always t [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52885
Cc: Eli Zaretskii <eliz@HIDDEN>, akira@HIDDEN, 52885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Po Lu <luangruo@HIDDEN> writes:

> I made those commands adjust the window hscroll if the widget is wider
> than the window, which should solve this problem.  However, the correct
> thing to do when the window is too small is always to press "a", which
> will adjust the widget's dimensions to match the current window.  (It
> should be done automatically, but that's not always possible.)

So it sounds like the reported problem here has been fixed, so I'm
closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52885; Package emacs. Full text available.

Message received at 52885 <at> debbugs.gnu.org:


Received: (at 52885) by debbugs.gnu.org; 30 Dec 2021 07:09:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 30 02:09:38 2021
Received: from localhost ([127.0.0.1]:50922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2pZB-0005Ut-PD
	for submit <at> debbugs.gnu.org; Thu, 30 Dec 2021 02:09:37 -0500
Received: from sonic317-34.consmr.mail.ne1.yahoo.com ([66.163.184.45]:39540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1n2pZ9-0005Ub-Ov
 for 52885 <at> debbugs.gnu.org; Thu, 30 Dec 2021 02:09:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1640848169; bh=muwxtzwc+e7WcQ98HZyvU0ECKEl5CbX+cvn7f6YGjEs=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=mijDHk2uOcUBpcYrcvGZv6JjHz6sh2DCZ1X4OEa6IPnV4kZ3EJW4Hum89TL7BOm+1dBA0QyOJidRV2Koq++Yqec7VN/uZnCC/vSGiemtPiBxuPmQN9rcSaFtGj+BJYtUeORClpUJmR2UFp/c2IIKvEbvtfdsdw12YwR09p48hStYA/qyTgwRTmkDjDbnp9rbcoR87Mf9hbkezzJFgT5ZDDzTRRJeCkSmeUOQm+dHjuOfuz9b8rx4u6BlgI8kV036i/JDCrA6j/NRWjeq1Pln6Jj5zWmtEoHH/oc0n7S1H9K0JB+/eir1HiZYHEiqoVjO3wWwwctgOarXXpjy7ssXjg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1640848169; bh=KDUWGU16bTcw7ydRRfg8XekWL+JhWS0VFFpoc3iuAMR=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=p94wnE5yz2ELTEOXkBPIJEHb79guqGClKJXATfv7CTjD03RFqsuenzk0tC50IlWAb3hX+ICzSNBy2MR040MydrRfjWAYo8zBHHmcYltJwz4ZIzasod9NEDTEKQGLbtT1mfhmFO2VrNsq+D2aKPza8PKz6Q6DEbApqwLeBmFT9zPqG19UaJnDjsXI8jb/pVPR0WxRdz951eZKyKRnr9gLctJjiv/EdOdu6Lw1C1Sgqz75jhuUC6BvBw4fkE6NzWMvh9qQkOiOHQdhGVE+TI+ZsE79BgkgURw+sWXHNdKPbtqM/N0FsR1BUe8YrfQVzw2+TgjcpXh81zKoSBzK4wPrTw==
X-YMail-OSG: QD279pcVM1kyVrUOBXAcDgQBfo1XRQWR1g4eU.Eb8NId5LJgQ80Te0XYm1TefhZ
 xfXDzBm5vR4zcBtYP654HJfarJmA7zy_yid9poOnzcdrFZIPWyM2DQuzOhinnKIQlFSffOvDTESO
 ehtITaWxthb6rP0CT8jzqu0Qhjr_WER898ZAV1VccPHfx6dFRA70FcjV4pa4fZe9LnBwVx4Kt8KL
 kAtZLjDIEBCM0idXK3Ufbnk_t0H.O0iGRsx1Qcayu_qcakQGeseHOGL9Uh.tDSCmZmqYsiMC8z3q
 vUv_wl58AJIR4KSpv8z0cwyiJgdkkx.tCVHQkShFa_Q96cGJhOkXhUZ59zziLl7_Nh.78E6vUR7s
 z4_yRf8eTB_WeGvkcFwvlxknzchn8mpHtAYsxK1SWJOXZsrp4gilRHkytmFYGpemD.s9Y6LomTFs
 8sEnY.cumqvDMXH2BldpevMlXBk.05ATChrrARJp9qP8uOGnGvFP11h3iZBFWRvpM_RM2T0.TLt6
 Ibc.1j7ncpdh8AaE4rLiFOJi9P9y.HTkiVk.3j8GFoRPU0wLfqWMr3VL7xTPGYNQHMpmjji9Sx4o
 k3JWuoYLFicS0SQRHc8IMplkjDwnSnuKYrr.VzbrLfkXNBfkhim2tFDSoyV8iGV8Vz4pjYBAUHZy
 TOUG62nvZgc6dsJWWsaOzAsfypoHDaM_RucISEl263GL3pUbb9jMgOBiArjEp3JbwyLRtV6Gx1pf
 aHSQNbPFlL4hpT4Xoh6cJTuXuCIaNcesbr6ImScpLlH7Y2DS_rwkDMrfQ_LNNguk7ZnfyMwleNnu
 _e.JEILQGuUyULaf3tVZoT6PqTyUji9Iam.rusCXeOhmMUA102mT9WADVTkHpTrpap_y5HhFxTk3
 M32jraJW.Sp5_Bcyj5LM3NhTM3KsyvmwQrk6p3oMVXEI.WjZxhDO6hPs6OzDhLGEHndBdwGqYXMg
 adfhSmPjgrGq6qi0iu_ku4A8z7G5wei84RQqFhGb8fbb6DQrBoX35iqm.cB_i1WKBp.wIzbu0RGo
 v6HbzQlFQwdn_hY6XXuH8H6y6a99CIbLx9IJNPq3UnpOLI1D1rAbfou6yvED9fJovXS1qKorogN5
 H0mEMvjzMzhL_9IwmAH_oP0PWtgyfL8fHRJM_D8aU5Cu6KCK6lmES38ZzvVvcW0k_qbTmkedB2PP
 I.wlppK_Zej1j1dTg8qzZ3X9L8WaPbs1RJbnsHW8LnchO8NBdPrd7xIZyGsrAUHuDhc9G1oP5QEx
 9cv18NQK61MGULgTJ3b3sWSSffJUfUXHmcSMNDZUVzYMm9FRZhrfH1GWHmhPs1odkG.8UCnb8HiR
 jryP6g0bjRzlV81VB1vcRcK6LPUHoU465_sDt9vs2yBilICyTDCQoyCx7MgzDxVbMbRqr_FwbC5L
 KPR5fsjLsIwkXeQpIcN49ePXjEDkoBwX.bx5wcXxk3Q5dlw5CcxApHkY6dtybtaiZYBy7lgWh.DR
 _z1H32a9oFupcnJUCIZSl6s_4FHk7yQLYQV3yt3CR44VU3FhoM15QOizWXgnJG.DBAJcQm8UYEjE
 qdf0Vt5CcK2axtbbDwPkgA0Ivz59Tn5TVbsxQaJJVYBlw05z.Ckk1OqWQXnd4rbEmwOSyEcHPKAG
 JxudsigwdpEELlfYGQbt0n_51alyriiwMbfvOmNkbixB9st.0rNfzrR3hQhD8XsnJ_AgMow6xESm
 f.yvyawDg.vKrM3qMcq08hjY2Blnk4HRqWefsjeIZys.BN0BxIO4jL4FAZpe7JJJYhLOOFXzK7_0
 F0yp4.tPUDocFQwT6QLQq6wz_Em5X5xUF1WWCfQUI.LIEtKAu7Bs7z.pLsR4prVf_mb6MhWKc6Oo
 jrafM.Rw28ixAN1SQI29v5ycnmOSb5vrtY41ZdSWmDdSyicEFK5N9Cuw270NF_YuhLerCaJyDYMd
 VO9T9Pk57sC2m4aCNLz1TXE2Rzn2pAVQViRCp0Lv6kJqV95vedT1TSRJeXvTA9j51c_3S0J8Frnm
 WwWdNWW_nASu144L65eePRSFwWpBREmVsDIKgAQpSi2KMoptmo53d0vZHixWR24yq4mKlFXWk.H8
 P.EIb0fEy4giVDrssWkruR28Y12_i6wxiuO9GueyaLgUyI6Q1zFZVHvKUtM_l4PByWD0PeNPkAmN
 EJN0IwdYu_JytpQqw.qAwYCCjIv3C9vGpzmnitgVOQOMoFHjLSELkClQWdhziWyE3ObrY2TE93af
 u7fPch73DJ1MkJz_AhPYfVvFiUudenbAhYo00g76KaHOyDz92OcSlmAQgIQ--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic317.consmr.mail.ne1.yahoo.com with HTTP; Thu, 30 Dec 2021 07:09:29 +0000
Received: by kubenode512.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID e05d9c8f0d7250c097a2e8a75b6ee2c8; 
 Thu, 30 Dec 2021 07:09:24 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#52885: 28.0.50; xwidget webkit scrolling behaviour
 confusing or broken with multiple windows
References: <86sfubrnvs.fsf@HIDDEN>
 <831r1uk4pu.fsf@HIDDEN>
Date: Thu, 30 Dec 2021 15:09:19 +0800
In-Reply-To: <831r1uk4pu.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 30 Dec
 2021 08:05:17 +0200")
Message-ID: <875yr6po0w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19551
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 600
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52885
Cc: akira@HIDDEN, 52885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> But C-f and C-b should work, as they do with images that are larger
> than the window width.

Unfortunately, that wasn't the case here, since xwidget-webkit defines
its own replacements for C-f and C-b.

I made those commands adjust the window hscroll if the widget is wider
than the window, which should solve this problem.  However, the correct
thing to do when the window is too small is always to press "a", which
will adjust the widget's dimensions to match the current window.  (It
should be done automatically, but that's not always possible.)

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52885; Package emacs. Full text available.

Message received at 52885 <at> debbugs.gnu.org:


Received: (at 52885) by debbugs.gnu.org; 30 Dec 2021 06:05:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 30 01:05:20 2021
Received: from localhost ([127.0.0.1]:50904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2oYy-0003UO-A2
	for submit <at> debbugs.gnu.org; Thu, 30 Dec 2021 01:05:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n2oYx-0003UB-M5
 for 52885 <at> debbugs.gnu.org; Thu, 30 Dec 2021 01:05:19 -0500
Received: from [2001:470:142:3::e] (port=35110 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n2oYq-0005oo-Q8; Thu, 30 Dec 2021 01:05:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=22xSDbePIbEeZ67jl43iVqJa66doRbONhdq51DHWrHM=; b=f1CqBO+KY9JI
 x7GOzHOKnrW4srDoiPhkx8K6ja+KohwspzMJKKuvdMRM97UdqfZiSe/+wNkldTtwmsdg8HAmn60Ua
 zFM7P65/TNx1dXNqqZWyJW/pZjB6Rw8kq2LPuM42aUPDJixcUJxSPxUpG2zrPevaJb2hm4At0UecV
 33AbZVPrqpWkvTAndKVtgSkNsb5z5zWWxPsKYx7xBrFWlxJxQ5DArPK6TinR/U8RcV+VQ1coihtdo
 75bpJ7Y5pMtoPH3/viGHERMrHv/W8whWqGfc3Gp3kYiBJmkkoBVDP9ltFa1XwdyQ6ugfB3mhjLUxp
 Hts9gG31Q2JYyuCVYCWhjA==;
Received: from [87.69.77.57] (port=2363 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n2oYq-00065F-PI; Thu, 30 Dec 2021 01:05:13 -0500
Date: Thu, 30 Dec 2021 08:05:17 +0200
Message-Id: <831r1uk4pu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: akira@HIDDEN
In-Reply-To: <86sfubrnvs.fsf@HIDDEN>
 (akira@HIDDEN)
Subject: Re: bug#52885: 28.0.50;
 xwidget webkit scrolling behaviour confusing or broken with multiple
 windows
References: <86sfubrnvs.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52885
Cc: 52885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: akira@HIDDEN
> Date: Wed, 29 Dec 2021 16:29:27 -0700
> 
> 
> On emacs -Q compiled --with-webkit in xwayland on GNOME
> - M-x xwidget-webkit-browse-url RET then enter in some url
> There are two scroll bars, one for webkit and one for the buffer, the
> one for the buffer does nothing. Now
> 
> - C-x 3
> - C-u N C-x { where N is enough so the window is narrower than the
>   webpage
> 
> It is now impossible to scroll horizontally in this window to view the
> whole webpage (there is no horizontal scroll bar and C-f doesn't work).

Emacs doesn't display the horizontal scroll bars automatically, you
need to say "M-x horizontal-scroll-bar-mode RET" to get that.  That's
a feature.

But C-f and C-b should work, as they do with images that are larger
than the window width.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52885; Package emacs. Full text available.

Message received at 52885 <at> debbugs.gnu.org:


Received: (at 52885) by debbugs.gnu.org; 30 Dec 2021 01:40:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 29 20:40:42 2021
Received: from localhost ([127.0.0.1]:50746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2kQs-0004DS-OO
	for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 20:40:42 -0500
Received: from sonic307-10.consmr.mail.ne1.yahoo.com ([66.163.190.33]:44652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1n2kQr-0004DF-JE
 for 52885 <at> debbugs.gnu.org; Wed, 29 Dec 2021 20:40:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1640828435; bh=ezyBDAlY5An+U3B55sRAM08WcwTcQXaFoPxcNsIpkKs=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=aSQRHkyf1vtXu8mMC/2ehwK15mPaFjtV9skGETorgyH0fkA25URlooKIJtxnIgU7R6RXDPHgZiENA/hqabAl/Vkf9hmXQBzBymfJzbHbeXohvvOII8onCNkhcO+J/MPAQHG1Bb5n9GH/fgaYZ6uxijXbZS3IJyyWbDjdX6a1CnH0iAWPhcw/i9oRoZbeLvhMTW2ESGCCvE7fvGucO7EtkpZuQN9Qr3qK5fbH/Ju+vDDNiOxStz9RsG9ote32JqheWQ5/yLqsAhMmz9OvacoMAmqBmRJGl2wR8YeFbxCn54F5hQvlWhlOiTiS8vM7O3NzQ4cXZfQ+f6vb8Hq+nrumCg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1640828435; bh=+DwrWJuUTfV/1CmCxrDAJXWidtA9FgGAQ8jlGnRwI9I=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=hv4lEuiyFJ4GbKiTe+iCnhJhjMimHRXZZcoj12rHAq8GXawAMmX7u3ZAuuABtBLCETLRCgy6sJJ4Z8+NRzBBLxmMdcCQ3HP6Y311mJqOaN/6dDLaJOEa+VVI98YdV515Fx7Ffe7Az47yWrhmmjSiE0M0IsOuxXGFWDRfBdPM9Ikrhy3AFPl1h5nwRz2gAn8TWgKjqhNlv+MkIEUQFO4MyPac8BU/EU8hlOxK5h2tPwKjYLlv5dYRTIbQc9GlhtWIpP6G3Fkp7Pqo2gPpz3oJs3aYUouypJCiM1F4zDxJk2MklJZ1pxUOBmE2NZlN1Odjs2ssA2sYEFuo+Xr7Nb19Ow==
X-YMail-OSG: JCf1AKsVM1m59rm1Y1MX9_CGmxVYkfYzbXfvhXiK7PG9HA1NeUte0iiyX3NVfTs
 3L33cKnruKc_NjG5ASIZd6HrNdQYeqH_fVUKCyrfHRW18EbC3u7ZPpuC.LGdz2oG9oBPbphGwRH3
 EXk8_5tmjpEibBoxllv_prmc4uEO0zcrk61goFKsAsr2F23AvFrayjwOGJPoVlBMot4sNwt_1kcY
 KzNaI0Y.8K8PUQeWYpFkBM2XGYSqXygdNF6m3Kx_5cJZ0qb0s3yiQeUtlU297K5EdD_wCAyGHrFh
 Il50ZAiOdpzgp8v8yQuKFCy86KFmtxoQ_0iYiIZOWkw4ghAT39oIiOw1lmlrxO6ko.kq6ZgrA4n2
 CxOo2eTgSEaxDQrp5vJCoCwDCRFsz62uPOfUGOelim89BUdNq_QMrAAXA7fLCKpHUcjgejrMX1CL
 XCnzubnQOwfXJzjKEAKhjBdQpIbjdNSrGBHiL7P30Zh0y.lOx7o2aRrJPsoLJvKHYrSRsHpStmWa
 Y94ZKioVcWVKCyAgzI23dcmXf.3N.k1JgIaLA4k6WeOyLnvHOzvmAwwBXgj11tqG5S7nCRG04lmH
 FzC21aYJqLIP261z8RD3S2Jeusx2F.d98rr.ETYaap9jAHbGLJ2GUXx.PKoLUc.pzxE8PXzap4IP
 kARhRk3D0OaL5XjKzUxsUzIi5T8nlfX292MveZgGKfwEEZCEz9nlL9boXv2MeCQwykAzqGE4C5g_
 TwtlLtaxmGuEswq1jHKVAYRNDcK0MZW2Hy0ogYQosbENFRX5RERz4PGurEjnv70U6JV0_zW49szd
 IrU__XF146tbaarkwaq6kprMLlqv6hRBFK1SwTFW7zMDnhYQZW0KFWxhHfcALaJgyGzyYp3Tc.D8
 P2QNaoZpSAYDhxk9clWK8ycKvfnni3NYnA78T34qgxrL1o2bjX1JH579K6e21xCmBaPNYfnV4R7B
 NJ3Zz6AM6KpDZ45fFvSduUZzJoeMPkUXpT0Nu0_wupvzKhnKBLXa95oi4a5UbDw6pZsVnK8aG0kH
 YT7bYsf3P9t06Uy3N_QMrfiTRcItMGn6Lr9mUlYYs70HwKR.kufDAVoZOODk_KujZsviGoXNKLf1
 .ElNbFLaKRA_dnbiA6N4rGafBpUfm_F8dDG0Eb57Rb3QW.jxqfmuy9fyrHDsimO4FbgK5FFQRdWt
 H7Gh0kLn8Gatqyo01udvmqLhQ.hBmjaBeu7aAvYuLkYXYvjxpkfAbZdhjkKudt0wrm8bKI5zC8Bw
 yDwOWDkeVirzMJT7ClP7v3svDjfjxDpiEFIWNmsz4Pz7wdyFhRfguuVjtm_U.jL6LHKOG9DT9fan
 zNJij0ea5uhajeEsrVNa00xl2XgpcjUMIC3vqDLlk5q77XWjwhYUWtI1bSADgEvK_QwZr66eC5El
 CZX_otnD_nNlXLSWF.6LEKT6lEWN9eCBwQ_i_FA9uwevTUTyVgUzOCtYMIWefhlwNBBPdAzv9Mxi
 cSBmzw5R9vj5t4ptQpW9nooN8S8Y7qUfjTES3YD12ahNumlz590b4jvdyUJf9Ue6Prs5iG_zeV1K
 XUn6ASnweGUX_qLNWYPNHpAIeUT1qfbjHwv5Kor6FALNNuaegEW5KfJDs60uESk0iNNXtuCEMS1e
 PL_3bCkbAN0FdiDGKxpiyCQtWwXqJDcNsv8erhM2tePpabVcTFSXYz6Ljz.TQeuaHLNzJuHGWxu2
 K5hrftLq4FeyEiLW3XMgUidhSI4LECg32NQq6gTfvu6gLeDzfYhWkyWllmP7vtvEfi7hphk1b4hG
 hAKGjlvAvJDl_EHy4bxpQjg8ne8A_0QfbkeJhCW99_q.PmztCeJ_ZWYTgo11jhYJlolRBmjixWTe
 DRW.9XyNV68IPZXgmp_uD.wUTM.0CgKUQE_Zkn2whZyfSeaee6EEvU8eIOduuREQGZwMK2OdW4mT
 aPOjfyCjPKudZJUIXa9aEyHjscZxeDrS0zmfA.xt6NSsoLocEWSGl0Da9d9VuNGp.sTdL3cL8Mau
 MXDkIfmUoH7T3rwIJmjFv_UxIUwcxQkhr3EIUp070s3OZ6D8v0YKfEqOeuTegK8k64S17WIRvHWt
 w6.E5KvWyG9LjU4M1nBBHicW4CDM9baoXixGjO352odt_Joa0Pgk9PfhdEknmCkn65rLqBQHcN.r
 hSsxJ5MVMduim_ZwNEWHE14hhBwkoF40zPmCXNFBmG7i245TyEJejhJHptNgjtRGip6rGwoMmIvZ
 68Y4tOyN69_rgFHJNRqpp2exrWXV10Rx0.fqrmBogjp1g6t92dChJ3ib227o-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.ne1.yahoo.com with HTTP; Thu, 30 Dec 2021 01:40:35 +0000
Received: by kubenode512.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 9367107184941b2826a55001fc1c66e9; 
 Thu, 30 Dec 2021 01:40:31 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: akira@HIDDEN
Subject: Re: bug#52885: 28.0.50; xwidget webkit scrolling behaviour
 confusing or broken with multiple windows
References: <86sfubrnvs.fsf@HIDDEN>
Date: Thu, 30 Dec 2021 09:40:26 +0800
In-Reply-To: <86sfubrnvs.fsf@HIDDEN>
 (akira@HIDDEN's message of "Wed, 29 Dec 2021 16:29:27 -0700")
Message-ID: <87h7aqrhth.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19551
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 208
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52885
Cc: 52885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

akira@HIDDEN writes:

> It is now impossible to scroll horizontally in this window to view the
> whole webpage (there is no horizontal scroll bar and C-f doesn't work).

Thanks, I will look into this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52885; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Dec 2021 23:29:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 29 18:29:33 2021
Received: from localhost ([127.0.0.1]:50654 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2iNx-0000Qx-CW
	for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 18:29:33 -0500
Received: from lists.gnu.org ([209.51.188.17]:34816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aikokyle@HIDDEN>) id 1n2iNw-0000Qq-Mx
 for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 18:29:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39012)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <aikokyle@HIDDEN>)
 id 1n2iNw-0003Xd-EZ
 for bug-gnu-emacs@HIDDEN; Wed, 29 Dec 2021 18:29:32 -0500
Received: from mail-il1-f182.google.com ([209.85.166.182]:40948)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <aikokyle@HIDDEN>)
 id 1n2iNu-0002Z0-Pl
 for bug-gnu-emacs@HIDDEN; Wed, 29 Dec 2021 18:29:32 -0500
Received: by mail-il1-f182.google.com with SMTP id c4so11264953iln.7
 for <bug-gnu-emacs@HIDDEN>; Wed, 29 Dec 2021 15:29:30 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=ImCuCkrMvZ6OYAzdjCQrAEkgSln4grzjGQIApfVEmPQ=;
 b=gOWizwZKExtdRKIIRr3SqVFtJDpqVTKeoIjwNQlC5LAxzeUN2XrcjCWQKwVRX5f5TN
 7sCDv6lnuJ/73xHQxJEJL6GAEKIDrotETJIttvLew5dYaRYbCKVUqzy8z10f7VBpHMUP
 6+S14rpcDG5Y1yzthwxajHADkZn47+B/aQf3klOId8cdjluFmcqF/IwUTM0ps25k2HEf
 AKBbYANnGzYf/fpbZpQJyFoo4L5eQi+Vm/onp/nXR/1D3XAoq7zsb+VkqC3WLo6Dcqcv
 qX1Gw/79Ro/HneLgrSNgn32qUhGitllSKZ8qYZ5e398Rv/4xP/v5vtMGNEbDYyfFpASW
 /FaQ==
X-Gm-Message-State: AOAM533I9rSxhxQ8mlgdOn2zEPIzgI7MJT/4rv6nlhGL1Ul9q0hjYXzY
 3u3g2Rg8fZpe6UCiSrVZURepJFo9xRY=
X-Google-Smtp-Source: ABdhPJyd8ky6ZnuWBGxSxchliIUO+bHAG8sfvqyDBGKNcQxVtuYUcgmgjYcYyNeikmGlDY8HHJx6wg==
X-Received: by 2002:a05:6e02:1aad:: with SMTP id
 l13mr13483370ilv.4.1640820569475; 
 Wed, 29 Dec 2021 15:29:29 -0800 (PST)
Received: from data ([98.50.106.108])
 by smtp.gmail.com with ESMTPSA id 11sm14819053ilx.20.2021.12.29.15.29.28
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 29 Dec 2021 15:29:29 -0800 (PST)
From: akira@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; xwidget webkit scrolling behaviour confusing or broken
 with multiple windows
Date: Wed, 29 Dec 2021 16:29:27 -0700
Message-ID: <86sfubrnvs.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=209.85.166.182; envelope-from=aikokyle@HIDDEN;
 helo=mail-il1-f182.google.com
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) FREEMAIL_FORGED_FROMDOMAIN=0.249,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=0.25,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)


On emacs -Q compiled --with-webkit in xwayland on GNOME
- M-x xwidget-webkit-browse-url RET then enter in some url
There are two scroll bars, one for webkit and one for the buffer, the
one for the buffer does nothing. Now

- C-x 3
- C-u N C-x { where N is enough so the window is narrower than the
  webpage

It is now impossible to scroll horizontally in this window to view the
whole webpage (there is no horizontal scroll bar and C-f doesn't work).




Acknowledgement sent to akira@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52885; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 15 Jan 2022 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.